%define ISONAME ISO8859-9
Name: XFree86-%{ISONAME}
Version: 2.1.2
Release: 1
Copyright: distributable
Source: ftp://ftp.itu.edu.tr/pub/linux/system/x11/trXFree86-%{PACKAGE_VERSION}.tar.bz2
Patch0: trXFree86-2.1.2-redhat.patch
Requires: XFree86 > 3.2
BuildRoot: /var/tmp/XFree86-tr-root
BuildArch: noarch
Group: X11/XFree86
Group(tr): X11/XFree86
Summary: Turkish X terminal fonts and modmaps
Summary(tr): Trke X ubirim yaztipleri ve tutakm elemeleri

%description
This package includes the Turkish (ISO-8859-9) terminal fonts, modmaps
for the Q and F style Turkish keyboard mappings and a simple utility
for changing the actual modmap.

%description -l tr
Bu pakette X konsolunda Trke (ISO-8859-9) harfler kartabilmek iin
gerekli yaztipleri, Trke Q ve F tipi tutakmlar iin elemeler ve
bu elemeler arasnda geii salayan bir grafik ara bulunmaktadr.

%package 75dpi-fonts
Requires: XFree86 > 3.2
Group: X11/XFree86
Group(tr): X11/XFree86
Summary: 75 dpi Turkish X fonts
Summary(tr): 75 dpi Trke X yaztipleri

%description 75dpi-fonts
This package includes the 75 dpi Turkish (ISO-8859-9) fonts for the X
Window System.

%description -l tr 75dpi-fonts
Bu pakette X pencereleme sistemi iin Trke (ISO-8859-9), 75 dpi
yaztipleri bulunmaktadr.

%package 100dpi-fonts
Requires: XFree86 > 3.2
Group: X11/XFree86
Group(tr): X11/XFree86
Summary: 100 dpi Turkish X fonts
Summary(tr): 100 dpi Trke X yaztipleri

%description 100dpi-fonts
This package includes the 100 dpi Turkish (ISO-8859-9) fonts for the X
Window System.

%description -l tr 100dpi-fonts
Bu pakette X pencereleme sistemi iin Trke (ISO-8859-9), 100 dpi
yaztipleri bulunmaktadr.

%prep
%setup -q -n trXFree86-%{PACKAGE_VERSION}
%patch0 -p1 -b .redhat

%build
make all

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT \
	FONTDIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/%{ISONAME}
cat > $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/%{ISONAME}/XF86Config.example <<EOF
# EXAMPLE
# This is a sample configuration file to show you how to modify the Files section
# of your /etc/X11/XF86Config file to include support for %{ISONAME} fonts. The
# "trick" is to list the %{ISONAME} fonts before the default ones.
#

# **********************************************************************
# Files section.  This allows default font and rgb paths to be set
# **********************************************************************

Section "Files"

# The location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

    RgbPath     "/usr/X11R6/lib/X11/rgb"

# Multiple FontPath entries are allowed (which are concatenated together),
# as well as specifying multiple comma-separated entries in one FontPath
# command (or a combination of both methods)

    FontPath    "/usr/X11R6/lib/X11/fonts/%{ISONAME}/misc"
    FontPath    "/usr/X11R6/lib/X11/fonts/%{ISONAME}/75dpi"
    FontPath    "/usr/X11R6/lib/X11/fonts/%{ISONAME}/100dpi"
    FontPath    "/usr/X11R6/lib/X11/fonts/misc"
    FontPath    "/usr/X11R6/lib/X11/fonts/75dpi"
    FontPath    "/usr/X11R6/lib/X11/fonts/100dpi"
    FontPath    "/usr/X11R6/lib/X11/fonts/Type1"
    FontPath    "/usr/X11R6/lib/X11/fonts/Speedo"

EndSection
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
#/usr/X11R6/bin/*
/usr/X11R6/lib/X11/etc/*
%dir /usr/X11R6/lib/X11/fonts/%{ISONAME}
/usr/X11R6/lib/X11/fonts/%{ISONAME}/misc
%attr(644,root,root) /usr/X11R6/lib/X11/fonts/%{ISONAME}/XF86Config.example

%files 75dpi-fonts
%defattr(-,root,root)
/usr/X11R6/lib/X11/fonts/%{ISONAME}/75dpi

%files 100dpi-fonts
%defattr(-,root,root)
/usr/X11R6/lib/X11/fonts/%{ISONAME}/100dpi

%changelog
* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- packaged for RH 5.2 (and changed the package quite a bit)
- don't ship xsetmodmap, as it will induce a dependency on tcl/tk I'm not
  sure we really want
- made a noarch package

* Tue Jul 14 1998 H. Turgut Uyar <uyar@cs.itu.edu.tr>
- 2.1.2 srmne gei (modmaplerde dzeltmeler)

* Wed Dec 31 1997 H. Turgut Uyar <uyar@cs.itu.edu.tr>
- 2.1.1 srmne gei

* Tue Dec 23 1997 H. Turgut Uyar <uyar@cs.itu.edu.tr>
- 2.1 srmne gei

* Fri Dec 12 1997 H. Turgut Uyar <uyar@cs.itu.edu.tr>
- 2.0 srmne gei
